
QGIS Application - Bug report #20772

If any of the "topology checks" options is enabled, then cliking on "save layer edits" toggles editing 

off

2018-12-11 01:34 PM - Giovanni Manghi

Status: Open

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:3.6.2 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28592

Description

1) add a vector layer

2) in its options toggle one (or more) of the three "topology checks" options

3) toogle editing, draw a feature (tested polygons here)

4) click on "save layer edits" -> edits are saved, but editing is toggled off (not expected)

Related issues:

Duplicated by QGIS Application - Bug report # 20938: [geometry validation] tu... Closed 2019-01-07

History

#1 - 2019-01-08 08:47 AM - Giovanni Manghi

- Duplicated by Bug report #20938: [geometry validation] turns off edit mode automaticlly added

#2 - 2019-01-08 10:02 AM - Jan Lippmann

QGIS 3.4.3 also affected.

#3 - 2019-03-31 12:43 PM - Jan Lippmann

This issue is still present in 3.4.6 and 3.6.1

@Matthias Kuhn: Can you confirm? Thanks.

#4 - 2019-03-31 09:04 PM - Giovanni Manghi

- Affected QGIS version changed from 3.5(master) to 3.6.1

#5 - 2019-05-06 09:08 PM - Jan Lippmann

This issue is still present in 3.4.7 and 3.6.2.

I think it is easy to fix? If this issue is fixed, the geometry validation could be use really.

#6 - 2019-05-07 09:32 AM - Giovanni Manghi
- Affected QGIS version changed from 3.6.1 to 3.6.2
